commit:     eb258b9eeb18342bc81a73e537b766665ed06023
Author:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 14 02:22:14 2017 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Tue Feb 14 02:22:48 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb258b9e

sys-libs/libunwind: version bump to 1.2 #608768

 sys-libs/libunwind/Manifest             |  1 +
 sys-libs/libunwind/libunwind-1.2.ebuild | 92 +++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/sys-libs/libunwind/Manifest b/sys-libs/libunwind/Manifest
index 42ca316bb6..84df5e695f 100644
--- a/sys-libs/libunwind/Manifest
+++ b/sys-libs/libunwind/Manifest
@@ -1,2 +1,3 @@
 DIST libunwind-1.1.tar.gz 1098603 SHA256 
9dfe0fcae2a866de9d3942c66995e4b460230446887dbdab302d41a8aee8d09a SHA512 
bfe04f2bfac9f9e47c37f0b23ed2f264d8d3d3d6f1392fe9d794ee13cad216b3740979e922e4276fb65c1ccdc836fce48812cb5459ecdd2a89a621036a35d7c1
 WHIRLPOOL 
1a0e566edf92c0563cb5525203f2718c3454bc0be25ec8079cde8441de08b6d8951db7cbf2f0a02a4a0f1e6c350e74e551a482d9094996daefa216a79bc9d383
 DIST libunwind-1.2-rc1.tar.gz 1172290 SHA256 
d222f186b6bc60f49dac5030516ec35a7ed0ccca675551d6cf81008112116abc SHA512 
810cdcf9e1e9a33eb286a6527c2d4bfc507313c596df9cdeb46b1c7b7343ac784fec3ed7c6aa135fc25dbf3e2cd8c99d1fa51e265b63614b51fd37bd84000b08
 WHIRLPOOL 
655c1eb356990aa35429207f54834da79c8aa83a506b0a51f72d1dafb236095a9420c1ca2f29a0dacb93d063bc244ebbddf5e74097e189df11f0ea7ad50b9447
+DIST libunwind-1.2.tar.gz 747369 SHA256 
1de38ffbdc88bd694d10081865871cd2bfbb02ad8ef9e1606aee18d65532b992 SHA512 
985d0817944e3cafd99aaa5642862d878972e0851f7954289247e808c9319f399ca29342395f0571cb6568a1104a82bd92d585936f2ca888dda37ac796fde0d4
 WHIRLPOOL 
d110ab7243157a617c1a9f01a5e7941cd4a63032317a7a6d372dd656aad9c1b49769909b3f37ff7dbbdb82a21f2d25dc00548cb5cac4d89c2b825b1e5e5fa634

diff --git a/sys-libs/libunwind/libunwind-1.2.ebuild 
b/sys-libs/libunwind/libunwind-1.2.ebuild
new file mode 100644
index 0000000000..a95f69a728
--- /dev/null
+++ b/sys-libs/libunwind/libunwind-1.2.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+MY_PV=${PV/_/-}
+MY_P=${PN}-${MY_PV}
+inherit eutils libtool multilib-minimal
+
+DESCRIPTION="Portable and efficient API to determine the call-chain of a 
program"
+HOMEPAGE="https://savannah.nongnu.org/projects/libunwind";
+SRC_URI="http://download.savannah.nongnu.org/releases/libunwind/${MY_P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="7"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 ~amd64-fbsd 
~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="debug debug-frame doc libatomic lzma static-libs"
+
+RESTRICT="test" #461958 -- re-enable tests with >1.1 again for retesting, this 
is here for #461394
+
+# We just use the header from libatomic.
+RDEPEND="lzma? ( app-arch/xz-utils )"
+DEPEND="${RDEPEND}
+       libatomic? ( dev-libs/libatomic_ops )"
+
+QA_DT_NEEDED_x86_fbsd="usr/lib/libunwind.so.7.0.0"
+
+S="${WORKDIR}/${MY_P}"
+
+MULTILIB_WRAPPED_HEADERS=(
+       /usr/include/libunwind.h
+
+       # see libunwind.h for the full list of arch-specific headers
+       /usr/include/libunwind-aarch64.h
+       /usr/include/libunwind-arm.h
+       /usr/include/libunwind-hppa.h
+       /usr/include/libunwind-ia64.h
+       /usr/include/libunwind-mips.h
+       /usr/include/libunwind-ppc32.h
+       /usr/include/libunwind-ppc64.h
+       /usr/include/libunwind-sh.h
+       /usr/include/libunwind-tilegx.h
+       /usr/include/libunwind-x86.h
+       /usr/include/libunwind-x86_64.h
+)
+
+src_prepare() {
+       # These tests like to fail.  bleh.
+       echo 'int main(){return 0;}' > tests/Gtest-dyn1.c
+       echo 'int main(){return 0;}' > tests/Ltest-dyn1.c
+
+       # Since we have tests disabled via RESTRICT, disable building in the 
subdir
+       # entirely.  This worksaround some build errors too. #484846
+       sed -i -e '/^SUBDIRS/s:tests::' Makefile.in || die
+
+       elibtoolize
+}
+
+multilib_src_configure() {
+       # --enable-cxx-exceptions: always enable it, headers provide the 
interface
+       # and on some archs it is disabled by default causing a mismatch 
between the
+       # API and the ABI, bug #418253
+       # conservative-checks: validate memory addresses before use; as of 
1.0.1,
+       # only x86_64 supports this, yet may be useful for debugging, couple it 
with
+       # debug useflag.
+       ECONF_SOURCE="${S}" \
+       ac_cv_header_atomic_ops_h=$(usex libatomic) \
+       econf \
+               --enable-cxx-exceptions \
+               --enable-coredump \
+               --enable-ptrace \
+               --enable-setjmp \
+               $(use_enable debug-frame) \
+               $(use_enable doc documentation) \
+               $(use_enable lzma minidebuginfo) \
+               $(use_enable static-libs static) \
+               $(use_enable debug conservative_checks) \
+               $(use_enable debug)
+}
+
+multilib_src_test() {
+       # Explicitly allow parallel build of tests.
+       # Sandbox causes some tests to freak out.
+       SANDBOX_ON=0 emake check
+}
+
+multilib_src_install() {
+       default
+       # libunwind-ptrace.a (and libunwind-ptrace.h) is separate API and 
without
+       # shared library, so we keep it in any case
+       use static-libs || find "${ED}"usr '(' -name 'libunwind-generic.a' -o 
-name 'libunwind*.la' ')' -delete
+}

Reply via email to